Bug 1129021 - [abrt] xfwm4: createWindowlist(): xfwm4 killed by SIGFPE
Summary: [abrt] xfwm4: createWindowlist(): xfwm4 killed by SIGFPE
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfwm4
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:eba84dbf27b8fd187a88eecab92...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 06:22 UTC by patrick korsnick
Modified: 2015-12-02 16:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:23:36 UTC


Attachments (Terms of Use)
File: backtrace (50.89 KB, text/plain)
2014-08-12 06:22 UTC, patrick korsnick
no flags Details
File: cgroup (190 bytes, text/plain)
2014-08-12 06:22 UTC, patrick korsnick
no flags Details
File: core_backtrace (3.59 KB, text/plain)
2014-08-12 06:22 UTC, patrick korsnick
no flags Details
File: dso_list (10.05 KB, text/plain)
2014-08-12 06:22 UTC, patrick korsnick
no flags Details
File: environ (1.38 KB, text/plain)
2014-08-12 06:22 UTC, patrick korsnick
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-12 06:22 UTC, patrick korsnick
no flags Details
File: maps (40.06 KB, text/plain)
2014-08-12 06:22 UTC, patrick korsnick
no flags Details
File: open_fds (393 bytes, text/plain)
2014-08-12 06:22 UTC, patrick korsnick
no flags Details
File: proc_pid_status (1.05 KB, text/plain)
2014-08-12 06:22 UTC, patrick korsnick
no flags Details
File: var_log_messages (446 bytes, text/plain)
2014-08-12 06:22 UTC, patrick korsnick
no flags Details

Description patrick korsnick 2014-08-12 06:22:10 UTC
Version-Release number of selected component:
xfwm4-4.10.1-3.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        xfwm4
crash_function: createWindowlist
executable:     /usr/bin/xfwm4
kernel:         3.16.0-0.rc5.git1.1.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 createWindowlist at tabwin.c:280
 #1 tabwinCreateWidget at tabwin.c:425
 #2 tabwinCreate at tabwin.c:501
 #3 clientCycle at cycle.c:453
 #4 handleKeyPress at events.c:331
 #5 handleEvent at events.c:2244
 #6 xfwm4_event_filter at events.c:2345
 #7 eventXfwmFilter at event_filter.c:158
 #8 gdk_event_apply_filters at gdkevents-x11.c:356
 #9 gdk_event_translate at gdkevents-x11.c:946

Comment 1 patrick korsnick 2014-08-12 06:22:12 UTC
Created attachment 925923 [details]
File: backtrace

Comment 2 patrick korsnick 2014-08-12 06:22:13 UTC
Created attachment 925924 [details]
File: cgroup

Comment 3 patrick korsnick 2014-08-12 06:22:13 UTC
Created attachment 925925 [details]
File: core_backtrace

Comment 4 patrick korsnick 2014-08-12 06:22:14 UTC
Created attachment 925926 [details]
File: dso_list

Comment 5 patrick korsnick 2014-08-12 06:22:14 UTC
Created attachment 925927 [details]
File: environ

Comment 6 patrick korsnick 2014-08-12 06:22:15 UTC
Created attachment 925928 [details]
File: limits

Comment 7 patrick korsnick 2014-08-12 06:22:16 UTC
Created attachment 925929 [details]
File: maps

Comment 8 patrick korsnick 2014-08-12 06:22:17 UTC
Created attachment 925930 [details]
File: open_fds

Comment 9 patrick korsnick 2014-08-12 06:22:17 UTC
Created attachment 925931 [details]
File: proc_pid_status

Comment 10 patrick korsnick 2014-08-12 06:22:18 UTC
Created attachment 925932 [details]
File: var_log_messages

Comment 11 Kevin Fenzi 2014-08-12 17:19:59 UTC
What were you doing when this happened?

Can you duplicate the crash?

Comment 12 Fedora End Of Life 2015-11-04 15:49:47 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-12-02 03:23:39 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.